Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 16:56:25 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 13:34:21 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Sat, 14 Feb 2015 12:47:48 +0000
> 
>  >> Still, the docstring mentions “current directory”, and it’s exactly
>  >> the thing default-directory references and M-x cd sets.  Thus the
>  >> current behavior doesn’t match the documentation
> 
>  > It does if you don't use "M-x cd".
> 
> 	It doesn’t if you C-x C-w into a file in a different directory.
> 
> 	Or is your point that tar-mode buffer’s default-directory should
> 	/not/ be honored, unless under some specific circumstances
> 	(as in: for a just loaded .tar file)?

My point is that there is no reason to cater to such user behavior.

I agree that there should be a way for the user to extract into a
directory of her choice, but the way to give that capability is to let
the user explicitly request a non-default directory.  Once we have
that capability, any user who complains about the issue you wanted to
fix can be told "just invoke the function with an argument".